org.apache.nutch.api.impl

## Class RAMJobManager

- java.lang.Object
- - org.apache.nutch.api.impl.RAMJobManager

- All Implemented Interfaces:
    JobManager

      public class RAMJobManager
      extends Object
      implements JobManager

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.nutch.api.JobManager

      `JobManager.JobType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RAMJobManager(JobFactory jobFactory, NutchServerPoolExecutor executor, ConfManager configManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `abort(String crawlId, String id)`
    `String` | `create(JobConfig jobConfig)`
    `JobInfo` | `get(String crawlId, String jobId)`
    `Collection<JobInfo>` | `list(String crawlId, JobInfo.State state)`
    `boolean` | `stop(String crawlId, String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RAMJobManager

          public RAMJobManager(JobFactory jobFactory,
                       NutchServerPoolExecutor executor,
                       ConfManager configManager)

  - ### Method Detail

    - #### list

          public Collection<JobInfo> list(String crawlId,
                                 JobInfo.State state)

      Specified by:
        `list` in interface `JobManager`

    - #### get

          public JobInfo get(String crawlId,
                    String jobId)

      Specified by:
        `get` in interface `JobManager`

    - #### create

          public String create(JobConfig jobConfig)

      Specified by:
        `create` in interface `JobManager`

    - #### abort

          public boolean abort(String crawlId,
                      String id)

      Specified by:
        `abort` in interface `JobManager`

    - #### stop

          public boolean stop(String crawlId,
                     String id)

      Specified by:
        `stop` in interface `JobManager`

Copyright © 2015 The Apache Software Foundation